List subscribers of a membership plan
Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.
GET
/membership-plans/{id}/subscribersAuthorization
AuthorizationAPI key · headerrequiredAPI key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).
or
x-api-keyAPI key · headerrequiredRaw API key (without Bearer ), alternative to Authorization.
Path parameters
idstringrequiredQuery parameters
statusstringPENDING|ACTIVE|EXPIRED|CANCELLED|PAUSED
Allowed:
PENDINGACTIVEEXPIREDCANCELLEDPAUSEDlimitinteger1-100, default 20
default: 20
cursorstringHeader parameters
X-Workspace-IdstringActive workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).
Responses
200
OK
dataSubscriber[]requiredShow propertiesHide properties
Array of
SubscriberidstringrequiredcustomerNamestring | nullrequiredShow propertiesHide properties
Any of:
string
stringnull
nullcustomerEmailstringrequiredstatusstringrequiredAllowed:
PENDINGACTIVEEXPIREDCANCELLEDPAUSEDstartedAtstring | nullrequiredShow propertiesHide properties
Any of:
string
stringnull
nullcurrentPeriodEndstring | nullrequiredShow propertiesHide properties
Any of:
string
stringnull
nullpagePagerequiredShow propertiesHide properties
nextCursorstring | nullrequiredShow propertiesHide properties
Any of:
string
stringnull
nullhasMorebooleanrequiredtotalintegermin -9007199254740991 · max 9007199254740991
401
Missing or invalid credential.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany403
Insufficient role or resource not accessible.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany404
Resource does not exist or is out of scope.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany422
Request body/parameter validation failed.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany
